umbrello: SinglePageDialogBase Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Slots | Protected Member Functions | List of all members
SinglePageDialogBase Class Reference

`#include <singlepagedialogbase.h>`

Inheritance diagram for SinglePageDialogBase:

## Public Member Functions
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()

## Protected Slots
void | slotApply ()
void | slotOk ()

## Protected Member Functions
virtual bool | validate ()

## Detailed Description

Base class for single page property dialogs

Author
  Ralf Habacker

Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ SinglePageDialogBase()

SinglePageDialogBase::SinglePageDialogBase | ( | QWidget * | parent,
|  | bool | withApplyButton = `false`,
|  | bool | withSearchButton = `false`
| ) |  |
| explicit

Constructor

## ◆ ~SinglePageDialogBase()

SinglePageDialogBase::~SinglePageDialogBase | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ apply()

bool SinglePageDialogBase::apply | ( |  | ) |
| virtual

Apply dialog changes to the related object.

This method could be overridden in derived dialogs to suppport post dialog applying.

Returns
  true apply succeeds
  false apply does not succeed

Reimplemented in ParameterPropertiesDialog, SelectOperationDialog, StereoAttributeDialog, UMLAttributeDialog, UMLCheckConstraintDialog, UMLEntityAttributeDialog, UMLEnumLiteralDialog, UMLInstanceAttributeDialog, UMLOperationDialog, UMLRoleDialog, UMLTemplateDialog, and UMLUniqueConstraintDialog.

## ◆ slotApply

void SinglePageDialogBase::slotApply | ( |  | ) |
| protectedslot

Used when the Apply button is clicked. Calls apply().

## ◆ slotOk

void SinglePageDialogBase::slotOk | ( |  | ) |
| protectedslot

Used when the OK button is clicked. Calls apply().

## ◆ validate()

bool SinglePageDialogBase::validate | ( |  | ) |
| protectedvirtual

Return state of dialog input validation.

The false state is used to prevent closing the dialog.

Returns
  true if dialog entries are valid

Reimplemented in ParameterPropertiesDialog.

The documentation for this class was generated from the following files:

- umbrello/dialogs/singlepagedialogbase.h
- umbrello/dialogs/singlepagedialogbase.cpp